CoolPlayer 2.17 - 'CPLI_ReadTag_OGG()' Buffer Overflow

EDB-ID:

30956




Platform:

Linux

Date:

2007-12-28


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux and pass the exam to become an Offensive Security Certified Professional (OSCP). All new content for 2020.

GET CERTIFIED

source: https://www.securityfocus.com/bid/27061/info

CoolPlayer is prone a buffer-overflow vulnerability because the application fails to perform adequate boundary checks on user-supplied data.

The issue occurs when handling specially crafted OGG files.

Successfully exploiting this issue allows remote attackers to execute arbitrary code in the context of the application. Failed exploit attempts likely result in denial-of-service conditions.

CoolPlayer 217 is vulnerable; other versions may also be affected.

vorbiscomment -t cTag=AAA_2500_A's_AAA -a input.ogg output.ogg